RIO_MPORT_GET_FEAT(9)

NAME
rio_mport_get_feature - query for devices' extended features

SYNOPSIS

u32 rio_mport_get_feature (struct rio_mport * port, int local, u16 destid, u8 hopcount, int ftr);

ARGUMENTS

port
    Master port to issue transaction

local
    Indicate a local master port or remote device access

destid
    Destination ID of the device

hopcount
    Number of switch hops to the device

ftr Extended feature code

DESCRIPTION

Tell if a device supports a given RapidIO capability. Returns the offset of the requested extended feature block within the device's RIO configuration space or 0 in case the device does not support it. Possible values for ftr:

 RIO_EFB_PAR_EP_IDLP/LVDS EP Devices

 RIO_EFB_PAR_EP_REC_IDLP/LVDS EP Recovery Devices

 RIO_EFB_PAR_EP_FREE_IDLP/LVDS EP Free Devices

 RIO_EFB_SER_EP_IDLP/Serial EP Devices

 RIO_EFB_SER_EP_REC_IDLP/Serial EP Recovery Devices

 RIO_EFB_SER_EP_FREE_IDLP/Serial EP Free Devices

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.